update mydt10 set remguc='' where remguc='{peg_str1}';
/*peg_end*/
update mydt11 set remguc='' where remguc='{peg_str1}';
/*peg_end*/
update mydt12 set remguc='' where remguc='{peg_str1}';
/*peg_end*/

update mydt10, ({peg_str2}) as tbl1
set mydt10.remguc='{peg_str1}'
where mydt10.nr01=tbl1.nr01;
/*peg_end*/

update mydt10, mydt11
set mydt11.remguc=mydt10.remguc
where mydt10.remguc='{peg_str1}'
   && mydt10.nr01=mydt11.mydt10;
/*peg_end*/

update mydt10, mydt12
set mydt12.remguc=mydt10.remguc
where mydt10.remguc='{peg_str1}'
   && mydt10.nr01=mydt12.mydt10;
/*peg_end*/
